package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_SENSITIVECOLUMN_EXPORT"
)
public class TcoreDiscoverySensitivecolumnExport extends TBaseEntity {
   private String datasourcename;
   private String tschema;
   private String tablename;
   private String columnname;
   private String sampling;
   private String etsampling;
   private String mate;
   private String materatio;
   private String regextype;
   private String rule;
   private String groupid;
   private String issmart;
   private Date createtime;
   private Date updatetime;

   public String getIssmart() {
      return this.issmart;
   }

   public void setIssmart(String issmart) {
      this.issmart = issmart;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getTschema() {
      return this.tschema;
   }

   public void setTschema(String tschema) {
      this.tschema = tschema;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public String getSampling() {
      return this.sampling;
   }

   public void setSampling(String sampling) {
      this.sampling = sampling;
   }

   public String getEtsampling() {
      return this.etsampling;
   }

   public void setEtsampling(String etsampling) {
      this.etsampling = etsampling;
   }

   public String getMate() {
      return this.mate;
   }

   public void setMate(String mate) {
      this.mate = mate;
   }

   public String getMateratio() {
      return this.materatio;
   }

   public void setMateratio(String materatio) {
      this.materatio = materatio;
   }

   public String getRegextype() {
      return this.regextype;
   }

   public void setRegextype(String regextype) {
      this.regextype = regextype;
   }

   public String getRule() {
      return this.rule;
   }

   public void setRule(String rule) {
      this.rule = rule;
   }

   public String getGroupid() {
      return this.groupid;
   }

   public void setGroupid(String groupid) {
      this.groupid = groupid;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public TcoreDiscoverySensitivecolumnExport() {
   }

   public TcoreDiscoverySensitivecolumnExport(String datasourcename, String tschema, String tablename, String columnname, String sampling, String etsampling, String mate, String materatio, String regextype, String rule, String groupid, Date createtime, Date updatetime, String issmart) {
      this.datasourcename = datasourcename;
      this.tschema = tschema;
      this.tablename = tablename;
      this.columnname = columnname;
      this.sampling = sampling;
      this.etsampling = etsampling;
      this.mate = mate;
      this.materatio = materatio;
      this.regextype = regextype;
      this.rule = rule;
      this.groupid = groupid;
      this.createtime = createtime;
      this.updatetime = updatetime;
      this.issmart = issmart;
   }
}
